-- frmAbout.lua
-- written by Habna

--v IMPORT SECTION v--

--^ IMPORT SECTION ^--
--v GLOBAL VARIABLE SECTION v--

--^ GLOBAL VARIABLE SECTION ^--

function frmShellCmd()
	green = Turbine.UI.Color( 0, 0.77, 0 );
	white = Turbine.UI.Color( 1, 1, 1 );
	black = Turbine.UI.Color()

	self = Turbine.UI.Lotro.Window()
	--self = Turbine.UI.Lotro.GoldWindow()
	
	-- **v Set backcolor, position, size and text of the window v**
	self:SetSize( 525, 225 );
	local screenWidth, screenHeight = Turbine.UI.Display.GetSize()
	local winWidth, winHeight = self:GetSize();
	local left, top = ( screenWidth / 2 ) - ( winWidth / 2 ) , ( screenHeight / 2 ) - ( winHeight /2 )
    self:SetPosition( left, top );
	self:SetText( "HugeBag Shell Commands" )
	self:SetBackColor( black )
	self:SetVisible( true )
	self:SetZOrder(1000)
	-- **^
	--**v Title & version Label v**
	lblDes = Turbine.UI.Label();
	lblDes:SetParent( self );
	--lblDes:SetFont ( 12 );
	lblDes:SetText( "show: Show HugeBag\nhide: Hide HugeBag\nresetall: Reset all settings to default\nresetls: Reset location and size settings to default\nslotsinfo: Show free, used and max slots in shell\ntogglewesc: Toggle hide HugeBag event when the 'esc' key is press\ntoggleused: Toggle to show free or used slots info in title\ntoggleslots: Show or hide slots information in title\ntoggleshow: Show or hide HugeBag at startup\nlocksize: Lock/unlock HugeBag size\nlockpos: Lock/unlock HugeBag position\nabout: Show the 'About' window\nhelp/?: Show HugeBag shell commands" );
	lblDes:SetPosition( 20, 40);
	lblDes:SetSize( 485, 235 );
	lblDes:SetTextAlignment( Turbine.UI.ContentAlignment.TopLeft );
	lblDes:SetForeColor( white );
	lblDes:SetBlendMode( Turbine.UI.BlendMode.Overlay );
	--**^
	
	-- **v To create a new button v**
	local buttonClose = Turbine.UI.Lotro.Button();
	buttonClose:SetParent( self );
	buttonClose:SetPosition( 400, 195 );
	buttonClose:SetSize( 75, 150 );
	buttonClose:SetText( "Close" );
	buttonClose:SetVisible( true );
	-- **^
	--^ SETTINGS SECTION ^--
	--v EVENT HANDLERS SECTION v--
	--**v Window event handlers v**
	-- **v Set the opacity when the mouse enter the window v**
	self.MouseEnter = function( sender, args )
		self:SetOpacity( 1.0 );
	end
	-- **^
	-- **v Set the opacity when the mouse leave the window v**
	self.MouseLeave = function( sender, args )
		self:SetOpacity( 1.0 );
	end
	-- **^
	--**^ Window event handlers ^**
	--**v Button event handlers v**
	-- **v Button click event v**
	buttonClose.Click = function(sender, args)
		self:Close();
	end
	-- **^
	--**^ Button event handlers ^**
	--^ EVENT HANDLERS SECTION ^--
end
-- **^