-- function.lua
-- Written By Habna

-- **v Show Help Info v**
function ReloadHugeBag()
	--UnloadHugeBag()
	--LoadHugeBag()
	write( "HugeBag: This function is currently not working" );
end
-- **^
-- **v Show Help Info v**
function UnloadHugeBag()
	--write( "HugeBag: Unloaded" );
	--self.ScriptState = true;
	--Turbine.PluginManager.UnloadScriptState( "HugeBag" );
	write( "HugeBag: This function is currently not working" );
end
-- **^
-- **v Hide HugeBag v**
function HideHugeBag()
	if ( not frmMain:IsVisible() ) then
		write( "HugeBag: Impossible, I'm already hidden" );
	else
		frmMain:SetVisible( false );
		--write( "HugeBag: I'm now hidden" );
	end
end
-- **^
-- **v Lock HugeBag Position v**
function LockHugeBagPosition()
	LockPosition = ( not LockPosition );
	SaveSettings()
	if ( LockPosition ) then
		LockLabel:SetVisible( true );
		write( "HugeBag: My position is now lock." );
	else
		LockLabel:SetVisible( false );
		write( "HugeBag: My position is now unlock." );
	end
end
-- **^
-- **v Lock HugeBag Position v**
function LockHugeBagSize()
	LockSize = ( not LockSize );
	SaveSettings()
	if ( LockSize ) then
		write( "HugeBag: My size is now lock." );
	else
		write( "HugeBag: My size is now unlock." );
	end
end
-- **^
-- **v Hide HugeBag v**
function ShowHugeBag()
	if ( frmMain:IsVisible() ) then
		write( "HugeBag: Impossible, I'm already visible" );
	else
		frmMain:SetVisible( true );
		--write( "HugeBag: I'm now visible" );
	end
end
-- **^
-- **v Show Version v**
function VersionInfo()
	write( "HugeBag: My current version is: v" .. Version );
end
-- **^
-- **v Show Authors v**
function AuthorsInfo()
	write( "HugeBag: My current authors are: Rod and Almagnus1. Extended by Habna" );
end
-- **^
-- **v Show Shell Command window v**
function HelpInfo()
	--write( "\n ** HugeBag v" .. Version .. " commands **\nshow/hide: Show or Hide HugeBag\nresetall: Reset all settings to default\nresetls: Reset location and size settings to default\nslotsinfo: Show free, used and max slots in shell\ntogglewesc: Toggle hide HugeBag event when the 'esc' key is press\ntoggleused: Toggle to show free or used slots info in title\ntoggleslots: Show or hide slots information in title\ntoggleshow: Show or hide HugeBag at startup\nlocksize: Lock/unlock HugeBag size\nlockpos: Lock/unlock HugeBag position\nabout: Show the 'About' window\nhelp/?: Show HugeBag shell commands" );	
	import "HabnaPlugins.HugeBag.frmShellCmd"; -- LUA frmShellCmd file
	frmShellCmd()
end
-- **^
-- **v Show Slots Info v**
function SlotsInfo()
	local usedslots = backpackSize - freeslots;
	write( "HugeBag: I have " .. freeslots .. " free slots, " .. usedslots .. " used slots and " .. backpackSize .. " max slots" );
end
-- **^
-- **v Toggle Startup Visibility v**
function ToggleShow()
	StartVisible = ( not StartVisible );
	SaveSettings()
	if ( StartVisible ) then
		write( "HugeBag: I will load visibile next time" );
	else
		write( "HugeBag: I will load hidden next time" );
	end
end
-- **^
-- **v Toggle Slots Info v**
function ToggleSlotsInfo()
	ShowSlotsInfo = ( not ShowSlotsInfo );
	SaveSettings()
	frmMain:PrintTitle()
	if ( ShowSlotsInfo ) then
		write( "HugeBag: Now showing slots informations in the title" );
	else
		write( "HugeBag: Not showing slots informations in the title" );
	end
end
-- **^
-- **v Toggle Slots Info to show free or used slots v**
function ToggleFreeUsed()
	ToggleUsed = ( not ToggleUsed );
	SaveSettings()
	frmMain:PrintTitle()
	if ( ToggleUsed ) then
		write( "HugeBag: Now showing used slots informations in the title" );
	else
		write( "HugeBag: Now showing free slots informations in the title" );
	end
end
-- **^
-- **v Toggle the ability to hide are not HugeBag when the 'esc' key is press v**
function ToggleWEsc()
	HideWEsc = ( not HideWEsc );
	SaveSettings()
	if ( HideWEsc ) then
		write( "HugeBag: I will hide when 'esc' key is press" );
	else
		write( "HugeBag: I will stay visible when 'esc' key is press" );
	end
end
-- **^
-- **v Check if HugeBag is not out of bound v** Bug when only in window-mode
function CheckIfOutOfBound()
	local screenWidth = Turbine.UI.Display:GetWidth();
	local screenHeight = Turbine.UI.Display:GetHeight();

	-- **v Check horizontal v**
	if ( ( WinLocX + WinWidth ) > screenWidth ) then
		dragging = false;
		frmMain:SetSize( ( screenWidth - WinLocX ), WinHeight );
	elseif WinLocX < 0 then --( WinLocX < 0 ) then
		dragging = false;
		frmMain:SetPosition( 0, WinLocY );
		frmMain:SetSize( WinWidth , WinHeight );
	end
	-- **^
	-- **v Check vertical v**
	if ( ( WinLocY + WinHeight ) > screenHeight ) then
		dragging = false;
		frmMain:SetSize( WinWidth, ( screenHeight - WinLocY ) );
	end
	-- **^
end
-- **^
-- **v Show About window v**
function ShowAbout()
	import "HabnaPlugins.HugeBag.frmAbout"; -- LUA frmAbout file
	frmAbout()
end
-- **^
-- **v Show Settings window v**
function ShowCurrentSettings()
	--import "HabnaPlugins.HugeBag.Settings"; -- LUA frmAbout file
	--frmSettings()
end
-- **^